
TYPO3.TYPO3CR - Bug # 37958

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Node handling
Created: 2012-06-12 Assigned To: Christian Müller
Updated: 2012-07-13 Due date:
Subject: Authentication no longer triggered for inaccessible node
Description

Until now we could redirect to the "My T3CON" page from the typo3.org SSO login and the user would be authenticated. This does
not work any longer since this change:

e6aac075332b526e7fde5e22ebd370238d43c99d
commit e6aac075332b526e7fde5e22ebd370238d43c99d
Author: Christian Müller <christian@kitsunet.de>
Date:   Tue May 22 18:03:52 2012 +0200

    [BUGFIX] Nodes with access roles should behave as expected

    Change-Id: Ib21f641ed15164b15a5d48397511234ad503d59c

diff --git a/Classes/Domain/Model/Node.php b/Classes/Domain/Model/Node.php
index 3147220..a445eda 100644
--- a/Classes/Domain/Model/Node.php
+++ b/Classes/Domain/Model/Node.php
@@ -972,7 +972,7 @@ class Node implements NodeInterface {
                        return NULL;
                }

-               if (!$this->isAccessible() && !$this->nodeRepository->getContext()->isInaccessibleContentShown()) {
+               if (!$node->isAccessible() && !$this->nodeRepository->getContext()->isInaccessibleContentShown()) {
                        return NULL;
                }
                return $node;

Now instead of being authenticated a 404 is returned, as the node is not "found" in the first place.

History
#1 - 2012-06-12 15:19 - Christian Müller
- Status changed from New to Accepted
- Assigned To set to Christian Müller

Probably needs adaptions in the RoutePartHandler, I will take care.

#2 - 2012-07-13 16:28 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback
That's solved, no?

#3 - 2012-07-13 16:39 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- Target version set to Sprint 9
- % Done changed from 0 to 100
